Package org.apache.catalina.startup

## Class UserConfig

- java.lang.Object
- - org.apache.catalina.startup.UserConfig

All Implemented Interfaces:
  `LifecycleListener`

    public final class UserConfig
    extends java.lang.Object
    implements LifecycleListener

Startup event listener for a Host that configures Contexts (web applications) for all defined "users" who have a web application in a directory with the specified name in their home directories. The context path of each deployed application will be set to `~xxxxx`, where xxxxx is the username of the owning user for that web application

Author:
  Craig R. McClanahan

### Constructor Summary

Constructors
`UserConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAllow()`
`java.lang.String` `getConfigClass()`
`java.lang.String` `getContextClass()`
`java.lang.String` `getDeny()`
`java.lang.String` `getDirectoryName()`
`java.lang.String` `getHomeBase()`
`java.lang.String` `getUserClass()`
`void` `lifecycleEvent​(LifecycleEvent event)` Process the START event for an associated Host.
`void` `setAllow​(java.lang.String allow)` Set the regular expression used to test for user who deployment is allowed.
`void` `setConfigClass​(java.lang.String configClass)` Set the Context configuration class name.
`void` `setContextClass​(java.lang.String contextClass)` Set the Context implementation class name.
`void` `setDeny​(java.lang.String deny)` Set the regular expression used to test for user who deployment is denied.
`void` `setDirectoryName​(java.lang.String directoryName)` Set the directory name for user web applications.
`void` `setHomeBase​(java.lang.String homeBase)` Set the base directory containing user home directories.
`void` `setUserClass​(java.lang.String userClass)` Set the user database class name for this component.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserConfig

    public UserConfig()

### Method Detail

#### getConfigClass

    public java.lang.String getConfigClass()

Returns:
  the Context configuration class name.

#### setConfigClass

    public void setConfigClass​(java.lang.String configClass)

Set the Context configuration class name.

Parameters:
  `configClass` - The new Context configuration class name.

#### getContextClass

    public java.lang.String getContextClass()

Returns:
  the Context implementation class name.

#### setContextClass

    public void setContextClass​(java.lang.String contextClass)

Set the Context implementation class name.

Parameters:
  `contextClass` - The new Context implementation class name.

#### getDirectoryName

    public java.lang.String getDirectoryName()

Returns:
  the directory name for user web applications.

#### setDirectoryName

    public void setDirectoryName​(java.lang.String directoryName)

Set the directory name for user web applications.

Parameters:
  `directoryName` - The new directory name

#### getHomeBase

    public java.lang.String getHomeBase()

Returns:
  the base directory containing user home directories.

#### setHomeBase

    public void setHomeBase​(java.lang.String homeBase)

Set the base directory containing user home directories.

Parameters:
  `homeBase` - The new base directory

#### getUserClass

    public java.lang.String getUserClass()

Returns:
  the user database class name for this component.

#### setUserClass

    public void setUserClass​(java.lang.String userClass)

Set the user database class name for this component.

Parameters:
  `userClass` - The user database class name

#### getAllow

    public java.lang.String getAllow()

Returns:
  the regular expression used to test for user who deployment is allowed.

#### setAllow

    public void setAllow​(java.lang.String allow)

Set the regular expression used to test for user who deployment is allowed.

Parameters:
  `allow` - The new allow expression

#### getDeny

    public java.lang.String getDeny()

Returns:
  the regular expression used to test for user who deployment is denied.

#### setDeny

    public void setDeny​(java.lang.String deny)

Set the regular expression used to test for user who deployment is denied.

Parameters:
  `deny` - The new deny expression

#### lifecycleEvent

    public void lifecycleEvent​(LifecycleEvent event)

Process the START event for an associated Host.

Specified by:
  `lifecycleEvent` in interface `LifecycleListener`
Parameters:
  `event` - The lifecycle event that has occurred